# -*- coding: UTF-8 -*-
import pymysql
import datetime
import pandas as pd


def get_yesterday_date():
    today = datetime.date.today()
    yesterday = today - datetime.timedelta(days=1)
    yesterday = yesterday.strftime("%Y-%m-%d")
    print(yesterday)
    return yesterday


def get_data():
    conn2db = pymysql.connect(host='10.66.157.22', port=4000, user='root', passwd='3SYz54LS9#^9sBvC', db='eagle')
    cursor = conn2db.cursor()
    sql = "select distinct device_id from ffm_diary_queue_temp where device_id regexp '[5|6]$'"
    cursor.execute(sql)
    result = cursor.fetchall()
    device = tuple(pd.DataFrame(list(result))[0].values.tolist())
    cursor.close()
    print(device[0:2])

    return device


def ctr_all():
    db = pymysql.connect(host='10.66.157.22', port=4000, user='root', passwd='3SYz54LS9#^9sBvC', db='jerry_prod')
    cursor = db.cursor()
    sql_active = "select distinct device_id from data_feed_exposure " \
                 "where (cid_type = 'diary' or cid_type = 'diary_video') " \
                 "and device_id regexp'[5|6]$' and stat_date = '{}';".format(date)
    cursor.execute(sql_active)
    result = cursor.fetchall()
    tail56 = pd.DataFrame(list(result))[0].values.tolist()
    cover = list(set(tail56)&set(device_id))
    cid = list()
    number = list()
    for i in cover:
        sql = "select count(cid) from data_feed_exposure " \
              "where cid_type = 'diary'" \
              "and stat_date = '{}' and device_id = '{}';".format(date,i)
        cursor.execute(sql)
        result = cursor.fetchone()[0]
        cid.append(i)
        number.append(result)
    df = pd.DataFrame()
    df['id'] = cid
    df['number'] = number
    df = df.sort_values(by = "number",ascending=False)
    df.to_csv(DIRECTORY_PATH+"exp.csv",index=None)


if __name__ == "__main__":
    DIRECTORY_PATH = "/data2/ffm/"
    date = get_yesterday_date()
    device_id = get_data()
    ctr_all()

